Page MenuHomePhabricator

labtestnet2002: repurpose as cloudweb2001-dev.wikimedia.org
Closed, ResolvedPublic

Description

Why this was decided can be found in parent task T217891: CloudVPS: rework codfw deployments. Basically, we don't need another cloudnet server in codfw, but we are in need of a cloudweb one that was not planned in advance.

  • evaluate network movements (public vs private VLAN), switch changes (cloudnet switch trunk, etc)
  • disable puppet in labtestnet2002
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update https://netbox.wikimedia.org/dcim/devices/1685/
  • get the physical relabeling done, switch port labels, etc
  • done

Event Timeline

aborrero created this task.Apr 8 2019, 4:58 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 8 2019, 4:58 PM

Change 502474 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudnet2002-dev: rename and repurpose as cloudweb2001-dev.wikimedia.org

https://gerrit.wikimedia.org/r/502474

Change 502476 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudnet2002-dev: rename to cloudweb2001-dev.wikimedia.org

https://gerrit.wikimedia.org/r/502476

aborrero reassigned this task from aborrero to Papaul.Apr 9 2019, 12:45 PM
aborrero triaged this task as Normal priority.

Change 502476 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudnet2002-dev: rename to cloudweb2001-dev.wikimedia.org
https://gerrit.wikimedia.org/r/502476

Before I can apply this patch, please @Papaul move eth0 of this server to vlan-public1-b-codfw in asw-b-codfw so we can reimage it with the new name (and IPv4 address).
Also, please drop eth1 configuration (which is in cloud-instances1-b-codfw and we don't need it anymore).

aborrero renamed this task from cloudnet2002-dev: repurpose as cloudweb2001-dev.wikimedia.org to labtestnet2002: repurpose as cloudweb2001-dev.wikimedia.org.Apr 9 2019, 12:50 PM
aborrero updated the task description. (Show Details)

There has been a confusion briefly in this phab task (my fault)

Papaul added a comment.Apr 9 2019, 3:46 PM

Change 502476 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudnet2002-dev: rename to cloudweb2001-dev.wikimedia.org
https://gerrit.wikimedia.org/r/502476

Before I can apply this patch, please @Papaul move eth0 of this server to vlan-public1-b-codfw in asw-b-codfw so we can reimage it with the new name (and IPv4 address).
Also, please drop eth1 configuration (which is in cloud-instances1-b-codfw and we don't need it anymore).

cloud-instance-ports not cloud-instances1-b-codfw

Papaul added a comment.Apr 9 2019, 3:51 PM
papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-public1-b-codfw]
     member ge-1/0/18 { ... }
+    member ge-1/0/13;
[edit interfaces interface-range vlan-cloud-hosts1-b-codfw]
-    member ge-1/0/13;
[edit interfaces interface-range cloud-instance-ports]
-    member ge-1/0/16;
[edit interfaces interface-range disabled]
     member ge-8/0/3 { ... }
+    member ge-1/0/16;
[edit interfaces ge-1/0/13]
-   description labtestnet2002-eth0;
+   description cloudweb2001-dev;
[edit interfaces]
-   ge-1/0/16 {
-       description labtestnet2002:eth1;
-   }
Papaul reassigned this task from Papaul to aborrero.Apr 9 2019, 3:52 PM

@aborrero switch configuration done

aborrero updated the task description. (Show Details)Apr 9 2019, 3:55 PM

Change 502476 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestnet2002: rename to cloudweb2001-dev.wikimedia.org

https://gerrit.wikimedia.org/r/502476

Change 502474 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestnet2002: rename and repurpose as cloudweb2001-dev.wikimedia.org

https://gerrit.wikimedia.org/r/502474

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestnet2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201904091700_aborrero_139858_labtestnet2002_codfw_wmnet.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-09T17:01:14Z] <arturo> T220426 reimaging+renaming labtestnet2002 to cloudweb2001-dev

Change 502552 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudweb2001-dev: missing netboot partman recipe

https://gerrit.wikimedia.org/r/502552

Change 502552 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudweb2001-dev: missing netboot partman recipe

https://gerrit.wikimedia.org/r/502552

Completed auto-reimage of hosts:

['cloudweb2001-dev.wikimedia.org']

Of which those FAILED:

['cloudweb2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestnet2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201904091727_aborrero_145692_labtestnet2002_codfw_wmnet.log.

Completed auto-reimage of hosts:

['labtestnet2002.codfw.wmnet']

Of which those FAILED:

['labtestnet2002.codfw.wmnet']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudweb2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904091728_aborrero_145811_cloudweb2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudweb2001-dev.wikimedia.org']

and were ALL successful.

aborrero updated the task description. (Show Details)Apr 9 2019, 6:06 PM
aborrero updated the task description. (Show Details)

Change 502955 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestnet2002: cleanup

https://gerrit.wikimedia.org/r/502955

Change 502955 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestnet2002: cleanup

https://gerrit.wikimedia.org/r/502955

aborrero updated the task description. (Show Details)Apr 11 2019, 9:24 AM
aborrero closed this task as Resolved.Apr 11 2019, 9:28 AM

Change 503313 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudweb2001-dev: add IPv6

https://gerrit.wikimedia.org/r/503313

Change 503313 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudweb2001-dev: add IPv6

https://gerrit.wikimedia.org/r/503313